#
# Copyright (c) 2013-2014 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

"""Views handling administrative functions"""

import json

import rookeries
from rookeries.main import rookeries_app


@rookeries_app.route('/status')
def app_status():
    """Simple view that returns the status of the application.  Useful as a part of a heartbeat mechanism."""
    app_status_info = {
        'app': 'rookeries',
        'version': rookeries.__version__,
    }

    return json.dumps(app_status_info)
