#
# Copyright (c) 2013 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

"""
Core module that handles database connections in Rookeri.es

:copyright: Copyright 2013, Dorian Pula <dorian.pula@amber-penguin-software.ca>
:license: AGPL v3+
"""

import importlib

from flask.ext import sqlalchemy as flask_sqlalchemy

db = flask_sqlalchemy.SQLAlchemy()
MODEL_MODULES = ['rookeries.users.models', 'rookeries.tasks.models', 'rookeries.journal.models']


def create_database_models():
    for module in MODEL_MODULES:
        importlib.import_module(module)
    db.create_all()


def drop_database_models():
    for module in MODEL_MODULES:
        importlib.import_module(module)
    db.drop_all()
