#
# Copyright (c) 2013 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

"""
Handles the creation and sending of emails in Rookeries.

:copyright: Copyright 2013, Dorian Pula <dorian.pula@amber-penguin-software.ca>
:license: AGPL v3+
"""

from flask_mail import Mail, Message


def email_message(app, subject, message, sender, recipient):
    """Emails a message"""

    # TODO Move to an async queued model.
    # TODO Move mail app creation outside of a sending a singular email.
    mail = Mail(app)
    msg = Message(subject, sender=sender, recipients=[recipient], html=message)

    # TODO Figure out if there is a way to limit the number of emails sent per hour.
    try:
        mail.send(msg)
    except Exception:
        # TODO Add in way better exception handling including attempts to resend.
        # Use SMTPAuthenticationExceptions, etc.
        pass
