#
# Copyright (c) 2013 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

"""
Core web application methods of Rookeries.

:copyright: Copyright 2013, Dorian Pula <dorian.pula@amber-penguin-software.ca>
:license: AGPL v3+
"""

import flask

from rookeries.main import rookeries_app


# TODO Change over to a default/constant of landing
@rookeries_app.route("/", defaults={"document_id": "about"})
@rookeries_app.route("/docs/<document_id>")
def serve_document(document_id):
    nav_menu = generate_menu()
    return flask.render_template("base.html", navigation_menu=nav_menu)


def generate_menu():
    # TODO Make this generated from the "activated" modules.
    # TODO Add in user login and registration.
    menu = [{'name': "About", 'url': "/docs/about"},
            {'name': "License", 'url': "/docs/license"}]

    return menu
