import hashlib

import arrow


# TODO Replace some of the internal password hashing + auth token functionality with werkzeug.security


def generate_password_hash(config, user, password):
    """Generates a proper secure salt with hash attached to a user."""

    # Inspired by this article on proper handling of salts: http://crackstation.net/hashing-security.htm
    corrected_date = user.user_authentication.security_update_date.replace(microsecond=0)
    user_sec_update_date = arrow.get(corrected_date).isoformat()

    hashable = user.username + ";" + password + ";" + config["PASSWORD_SALT"] + ";" + user_sec_update_date
    hash_generator = hashlib.sha512()
    hash_generator.update(hashable)

    return unicode(hash_generator.hexdigest())


def check_password(config, user, password):
    """Checks if the supplied password matches the stored password hash."""

    # TODO Refactor API
    if not user:
        return False

    attempted_credentials = generate_password_hash(config, user, password)
    actual_credentials = user.user_authentication.password
    return actual_credentials == attempted_credentials
