#
# Copyright (c) 2013-2014 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

import invoke as inv

from . import utils


@inv.task
def build():
    """Creates the HTML documentation through Sphinx."""
    inv.run('sphinx-apidoc -o docs/_api rookeries', echo=True)
    inv.run('sphinx-build -b html docs docs/_build', echo=True)


@inv.task
def clean(dry_run=False):
    """
    Clean up the generated Sphinx documentation.

    :param dry_run: Mode for switching between a dry run and actual deletion run.
    """
    sphinx_generated_folders = ['docs/_api', 'docs/_build']
    utils.delete_in_path_list(sphinx_generated_folders, dry_run=dry_run)
