#
# Copyright (c) 2013-2014 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

import pprint

import invoke as inv

import rookeries


@inv.task
def config():
    """Shows the current configuration of the Rookeries webapp."""
    rookeries_app = rookeries.make_rookeries_app()
    pprint.pprint(rookeries_app.config.items())


def run_debug_server(port):
    from werkzeug.debug import DebuggedApplication
    application = rookeries.make_rookeries_app()
    debug_app = DebuggedApplication(application, evalex=True)
    debug_app.app.run(port=port)


@inv.task
def run(port=5000):
    """Run server for debugging."""
    run_debug_server(port)
