#
# Copyright (c) 2013-2014 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

import httplib
import json
import unittest

from nose import tools as asserts

import rookeries


class AppStatusViewTests(unittest.TestCase):
    def setUp(self):
        self.test_app = rookeries.make_rookeries_app().test_client()

    def test_app_status_view_returns_app_info_as_a_json(self):
        expected_info = {
            'app': 'rookeries',
            'version': rookeries.__version__,
        }

        actual = self.test_app.get('/status')

        asserts.assert_equal(actual.status_code, httplib.OK)
        asserts.assert_dict_equal(json.loads(actual.data), expected_info)
