#
# Copyright (c) 2013-2014 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

import httplib
import json
import unittest

from nose import tools as asserts

import rookeries


class JsonFlaskAppUnitTestCase(unittest.TestCase):

    def setUp(self):
        self.test_app = rookeries.make_rookeries_app().test_client()

    def test_make_json_error_creates_a_404_missing_page_error_json(self):
        test_path = '/some/non-existent/path'
        expected_error = {
            'error': {
                'code': httplib.NOT_FOUND,
                'message': 'Not Found',
            }
        }

        actual = self.test_app.get(test_path)

        asserts.assert_equal(actual.status_code, httplib.NOT_FOUND)
        asserts.assert_dict_equal(json.loads(actual.data), expected_error)
