#
# Copyright (c) 2013-2014 Dorian Pula <dorian.pula@amber-penguin-software.ca>
#
# Rookeries is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# Rookeries is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Rookeries.  If not, see <http://www.gnu.org/licenses/>.
#
# Please share and enjoy!
#

import unittest

from nose import tools as asserts

import rookeries
from tasks import deploy


class TestPackageTasks(unittest.TestCase):
    def test_artifact_name_returns_bzipped_tarball_filename_of_a_deployable_app_package(self):
        expected_filename = 'rookeries-{0}.tar.bz2'.format(rookeries.__version__)
        actual_filename = deploy.app_package_name()
        asserts.assert_equal(expected_filename, actual_filename)

    def test_artifact_name_returns_specified_zip_filename_of_a_deployable_app_package(self):
        expected_filename = 'rookeries-{0}.zip'.format(rookeries.__version__)
        actual_filename = deploy.app_package_name(pkg_format='zip')
        asserts.assert_equal(expected_filename, actual_filename)
